/**
 * Cross-thread streams communicate with a few different message types.
 */
export declare const enum StreamMessageType {
    Ready = "stream-ready-to-consume",
    Start = "stream-start",
    End = "stream-finished",
    Chunk = "stream-chunk"
}
/**
 * Two modes available. Either accept all incoming streams,
 * or require some confirmation first.
 */
export declare const enum ListenForStreamMode {
    AcceptAll = 0,
    ConfirmFirst = 1
}
