/**
 * The types of workers supported by the library.
 */
export declare const enum WorkerType {
    /**
     * A short-term one-time worker that is spawned, runs a task,
     * then automatically shuts down.
     */
    Task = 0,
    /**
     * A long-running worker that has access to all the tasks on the
     * set of definitions it was launched from.
     */
    Service = 1
}
export declare const enum WorkerExitCode {
    Ok = 0,
    UncaughtException = 1
}
